#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
; #Warn  ; Enable warnings to assist with detecting common errors.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.

; Hier drüber stehen nur Standards, die automatisch erstellt werden; ignorieren.
;
; Artikel zum Skript:
;
;Funktionsweise:
; Dieses Skript ruft die Profildateien im profiles-Ordner auf, sobald deren zugehörige Programme/Fenster laufen.
; Zum Erweitern einfach unten einen Eintrag sowie die Profildatei anlegen.
; Das funktioniert für Maus- und Tastaturbelegung!
;
; Kurzanleitung:
; 1. Eintrag unten kopieren.
; 2. Fenstername oder EXE angeben.
; 3. #include-Anweisung anpassen.
; 4. Include-Datei mit den Kommandos erstellen.
; 5. Skript neu starten.

; Kompilieren:
; Rechtsklick auf diese Datei und "Compile Script" wählen - darüber lässt sich eine portable EXE-Datei erzeugen, die auch auf Rechnern ohne AutoHotkey-Installatin läuft. Die Profile sind also portabel.
;
; Tipps:
; - Wenn mehrere Profile zu #ifWinActive passen, haben im Konfliktfall die oberen Skripte Vorrang.
; - Infos zu den AutoHotkey-Befehlen: https://www.autohotkey.com/docs/commands/
; - Infos wie Fenstername und Exe: Über das Kontextmenü des Tray-Icons eines laufenden Skripts den "Window Spy" aufrufen.
; - In den mitgelieferten Profilen gibt es weitere Beispiele.
; - Im tools-Ordner können Skripte, die vielleicht für mehrere Profile relevant sind, abgelegt und eingebunden werden - oder hier für die systemweite Nutzung. Eine Maus für das deaktivierte Numpad liegt bei:
; #include tools/maus.ahk

; Optionen:
; Fenstertitel müssen Wort nur beinhalten, nicht exakt übereinstimmen:
SetTitleMatchMode, 2

;YouTube
#ifWinActive, YouTube
#include profiles/profile_youtube.ahk
#if

;Chrome
#ifWinActive, ahk_exe chrome.exe
#include profiles/profile_chrome.ahk
#if

;Notepad++
#ifWinActive, ahk_exe notepad++.exe
#include profiles/profile_notepad.ahk
#if

;Gimp
#ifWinActive, ahk_exe gimp-2.10.exe
#include profiles/profile_gimp.ahk
#if

;Torchlight
#ifWinActive, ahk_exe torchlight.exe
#include profiles/profile_torchlight.ahk
#if

